package com.storlead.framework.web.exception;

import com.storlead.framework.web.message.MsgCode;
import com.storlead.framework.web.message.TopMsgCode;

public class DaoException extends TopException {
    private static final long serialVersionUID = 7876258394891953916L;

    public DaoException(String message) {
        this(TopMsgCode.DAO_ERROR, message);
    }

    public DaoException(MsgCode code, String message) {
        super(code, message);
    }

    public DaoException(String message, Throwable cause) {
        this(TopMsgCode.DAO_ERROR, message, cause);
    }

    public DaoException(MsgCode code, String message, Throwable cause) {
        super(code, message, cause);
    }

    public DaoException(MsgCode code) {
        super(code);
    }

    public DaoException(MsgCode code, Throwable cause) {
        super(code, cause);
    }
}
